Subject: Re: [V3] powerpc/powernv: Add a kmsg_dumper that flushes console output on panic

From: Stewart Smith <[email-masked]>
Date: Fri, 15 Jan 2016 15:59:56 +1100

Michael Ellerman <[email-masked]> writes:
>> > > Applied to powerpc next, thanks.
>> > > 
>> > > https://git.kernel.org/powerpc/c/affddff69c55eb68969448f35f
>> > 
>> > The firmware interface changed slightly since this kernel patch[1], it
>> > added a parameter to OPAL_CONSOLE_FLUSH which accepted the terminal
>> > number to flush, theoretically allowing this to be plumbed into TTY
>> > layer or something too.
>> > 
>> > So, we'll either have to update this patch or replace it with an updated
>> > one.
>> > 
>> > [1] i'm pushing the accepted skiboot patch now.
>> > 
>> I'm working on an updated kernel patch to use the new parameter and additional
>> return values, so I suppose it's up to mpe whether or not this patch gets
>> merged now and another gets sent later to amend it, or if this patch gets
>> reverted in next and I can send a V4 adding the new stuff.
>
> Doh. I'd rather not revert it, unless we have to.
>
> Basically we're passing junk in r3, which skiboot is expecting to be the
> terminal number.

and skiboot will just return OPAL_PARAMETER and the kernel code ignores
the return value, so all will be *fine*. It may even work by accident sometimes.

> So running the current kernel code on the updated skiboot shouldn't crash and
> burn, it just won't actually work the way it's supposed to.

Right, it'll just do nothing.

> So my preference would be just an incremental patch ASAP to fix the kernel to
> do the right thing with the new interface.

I see that's merged now, which is great! Even if someone is bisecting
back, things will be fine too.

-- 
Stewart Smith
OPAL Architect, IBM.